Subject: bug#19564: 24.4; eieio backward compatibility

From: Ted Zlatanov <[email-masked]>
Date: Tue, 13 Jan 2015 10:01:37 -0500

On Tue, 13 Jan 2015 15:50:48 +0100 Thierry Volpiatto <[email-masked]> wrote: 

TV> Ted Zlatanov <[email-masked]> writes:

>> On Tue, 13 Jan 2015 13:36:20 +0100 Thierry Volpiatto <[email-masked]> wrote: 
>> 
TV> There is also a problem now with compiled files, emacs-24.4 compiled
TV> files are not compatibles with emacs-25 compiled files and vice-versa.
>> 
>> Forgive my ignorance: is that compatibility guaranteed or beneficial?

TV> No, but that's mean that now with these recent changes all people using
TV> helm will have errors in their helm packages when switching
TV> emacs-version until they reinstall all;
TV> And for sure they will not reinstall and I expect tons of bugreport in next
TV> weeks... (I crossfingers hoping I am wrong)

Maybe Emacs needs a shell-level way to recompile all or some installed packages?

Ted